// 此文件的作用是把用户业务相关的函数传给ai做相关向量搜索，并调用相关函数 

// @ts-ignore
export const DocMap = (map: any, context: Record<string, any> = {}) => {
    let _func_: any = {
       /**
        * 获取当前图纸总数
        * @param {string} workspaceName  工作区名称
        * @returns Promise<{Object|undefined}> 返回对象，包含
        * - count: 图纸总数
        */
       __getServerMapCount: async (workspaceName: string) => {
          let svc = map.getService().clone()
          if (workspaceName) {
            // 切换到指定工作区
            svc.switchWorkspace(workspaceName)
          }
          let maps = await svc.listMaps();
          return {
             count: Object.keys(maps).length
          };
       },
 
       test__getServerMapCount: async () => {
          //[地图服务] 获取当前地图服务图纸总数, 获取返回数据弹出数据信息框，标题为图纸总数，以表单格式显示
          let res = await _func_.__getServerMapCount(); 
          if (res) {
             await _func_.__showDataInfoDialog(res, true, "图纸总数");
          }

          //[地图服务#] 获取工作区名称wstest的地图服务图纸总数
       },

       /**
        * 统计字符个数
        * @param {string} str 字符内容
        * @returns 
        */
         __statWordCount: async (str: string) => {
            return context.statWordCount(str)
         },

         test__statWordCount: async () => {
            //[UI交互] 统计字符"abcdef"个数
            let cnt = _func_.__statWordCount()
            console.log(cnt)
         },

     
    }
 
    return _func_;
 }
 
 